Skip to content
payrocdevelopers

Retrieve batch

Browse API reference

GET/batches/{batchId}getbatch

Use this method to retrieve information about a batch.

Note: To retrieve a batch, you need its batchId. If you don't have the batchId, use our List Batches method to search for the batch.

Our gateway returns the following information about the batch:

  • Transaction information, including the number of transactions and total value of sales.
  • Merchant information, including the merchant ID (MID) and the processing account that the batch is associated with.

Parameters

NameInTypeDescription
batchIdRequiredpathinteger

Unique identifier that we assigned to the batch.

Responses

Successful request. Returns the requested batch.

200 OK · application/json
{
  "batchId": 65,
  "createdDate": "2024-07-02",
  "currency": "USD",
  "date": "2024-07-02",
  "heldAmount": 0,
  "lastModifiedDate": "2024-07-02",
  "links": [
    {
      "href": "https://api.payroc.com/v1/transactions?batchId=65",
      "method": "get",
      "rel": "transactions"
    },
    {
      "href": "https://api.payroc.com/v1/authorizations?batchId=65",
      "method": "get",
      "rel": "authorizations"
    }
  ],
  "merchant": {
    "doingBusinessAs": "Pizza Doe",
    "link": {
      "href": "https://api.payroc.com/v1/processing-accounts/38765",
      "method": "get",
      "rel": "processingAccount"
    },
    "merchantId": "4525644354",
    "processingAccountId": 38765
  },
  "returnAmount": 0,
  "saleAmount": 100,
  "transactionCount": 10
}
Response schema · 21 fields
  • batchIdinteger
    Unique identifier that we assigned to the batch.
  • createdDatestringdate
    Date that we created a record for the batch. The format of this value is YYYY-MM-DD.
  • currencystring
    Currency of the transactions in the batch. The value for the currency follows the ISO 4217 standard.
  • datestringdate
    Date that the merchant submitted the batch. The format of this value is YYYY-MM-DD.
  • heldAmountintegerint64
    Total value of authorizations in the batch. We return the value in the currency's lowest denomination, for example, cents.
  • lastModifiedDatestringdate
    Date that the batch was last changed. The format of this value is YYYY-MM-DD.
  • linksobject[]
    • hrefstringrequired
      URL of the target resource.
    • methodstringrequired
      HTTP method that you need to use with the target resource.
    • relstringrequired
      Indicates the relationship between the current resource and the target resource.
  • merchantobject
    Object that contains information about the merchant.
    • doingBusinessAsstring
      Trading name of the business.
    • linkobject
      Object that contains HATEOAS links for the resource.
      • hrefstringrequired
        URL of the target resource.
      • methodstringrequired
        HTTP method that you need to use with the target resource.
      • relstringrequired
        Indicates the relationship between the current resource and the target resource.
    • merchantIdstring
      Unique identifier that the processor assigned to the merchant.
    • processingAccountIdinteger
      Unique identifier that we assigned to the processing account.
  • returnAmountintegerint64
    Total value of returns in the batch. We return the value in the currency's lowest denomination, for example, cents.
  • saleAmountintegerint64
    Total value of sales in the batch. We return the value in the currency's lowest denomination, for example, cents.
  • transactionCountintegerint64
    Total number of transactions in the batch.

Used in workflows

Search documentation

API reference169
Guides118
Knowledge38
legal1
Solutions32
Workflows74
↑↓highlight↵openView all search results

Menu

Theme

Sign out

Your saved plans remain in your organization. This browser’s private draft and account view will be cleared.

Talk to an engineer